import component
import pygame
from pygame.locals import *
import sys

BLACK = (0, 0, 0)
WHITE = (255, 255, 255)
RED = (255, 0, 0)
GREEN = (34, 139, 34)
BLUE = (0, 0, 255)
GREY = (215, 215, 230)
DARKGREY = (84, 84, 94)


class Receiver(component.Component):
    def __init__(self, screen, left, top, width, label, label_width, ipm):
        self.screen = screen
        self.left = left
        self.top = top
        self.width = width
        self.height = 20
        self.label = label
        self.label_width = label_width
        self.text = "N/A"
        self.smallFont = pygame.font.SysFont(None, 20)
        self.text_rect = pygame.rect.Rect(self.left + self.label_width, self.top, self.width, self.height)
        self.label_rect = pygame.rect.Rect(self.left, self.top, self.label_width, self.height)
        
        self.ipm = ipm
    def timer(self):
        self.get_val()
        pygame.draw.rect(self.screen, BLACK, self.text_rect)
        pygame.draw.rect(self.screen, BLACK, self.label_rect)
        self.screen.blit(self.smallFont.render(self.text.rstrip(), True, WHITE), self.text_rect)
        self.screen.blit(self.smallFont.render(self.label, True, WHITE), self.label_rect)

    def get_val(self):
        if self.ipm != None:
            self.text = "123"
            if self.label == "Radio Msg:":
                self.text = self.ipm.eval_string('rone.radio_get_message()')
        else: self.text = "3.14"
            
    
        
        
        
        

