import component
import pygame
from pygame.locals import *
import sys

BLACK = (0, 0, 0)
WHITE = (255, 255, 255)
RED = (255, 0, 0)
GREEN = (0, 255, 0)
BLUE = (0, 0, 255)
GREY = (190, 190, 190)


class Base(component.Component):
    def __init__(self, screen, color, center, radius): #left1, top1, left2, top2):
        self.screen = screen
        self.color = color
        self.center = center
        self.radius = radius

##        self.left1 = left1
##        self.top1 = top1
##        self.left2 = left2
##        self.top2 = top2
##        self.width = 30
##        self.height = 80

    def draw(self):
        pygame.draw.circle(self.screen, self.color, self.center, self.radius, 0)
##        pygame.draw.rect(self.screen, BLACK, (self.left1, self.top1, self.width, self.height))
##        pygame.draw.rect(self.screen, BLACK, (self.left2, self.top2, self.width, self.height))
